﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.Dashboard.DashboardRowListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "List of Rows in Dashboard";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-title">
                    <form role="form" action="@Url.Action("CreateRow","DashboardRow")" method="post">
                        @Html.HiddenFor(m => m.Configuration.DashboardConfigurationId)
                        @Html.HiddenFor(m => m.Parent.DashboardId)
                        <button type="submit" class="btn btn-default btn-sm">@Localizer["CreateDashboardRow"]</button>
                        &nbsp;
                        <a asp-action="Index" asp-controller="Dashboard">@Localizer["BackToList"]</a>
                    </form>
                </div>
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.DashboardRows.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @Model.MessageNumberEntries
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col-md-8">

                                <table class="table table-striped table-bordered table-hover dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>
                                                @Localizer["EditLbl"]
                                            </th>
                                            <th>
                                                @Localizer["RemoveLbl"]
                                            </th>
                                            <th>
                                                @Localizer["UpLbl"]
                                            </th>
                                            <th>
                                                @Localizer["DownLbl"]
                                            </th>

                                            <th>
                                                @Localizer[Html.DisplayNameFor(model => model.DashboardRows[0].RowNumber)]
                                            </th>
                                            <th>
                                                @Localizer["NumberKpis"]
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.DashboardRows.Count > 0)
                                        {
                                            foreach (var item in Model.DashboardRows)
                                            {
                                        <tr>
                                            <td align="center">
                                                <a asp-action="Index" asp-controller="DashboardKpi" asp-route-rowid="@item.DashboardRowID">
                                                    <i class="fa fa-list-ol"></i>
                                                </a>
                                            </td>
                                            <td align="center">
                                                <a asp-action="Delete" asp-route-rowid="@item.DashboardRowID">
                                                    <i class="fa fa-trash"></i>
                                                </a>
                                            </td>
                                            <td align="center">
                                                @if (item.RowNumber > 1)
                                                {
                                                    <a asp-action="MoveRowUp" asp-route-id="@Model.Parent.DashboardId.ToString()" asp-route-dashboardRowId="@item.DashboardRowID">
                                                        <i class="fa fa-arrow-up"></i>
                                                    </a>
                                                }
                                            </td>
                                            <td align="center">
                                                @if (item.RowNumber < Model.DashboardRows.Count)
                                                {
                                                    <a asp-action="MoveRowDown" asp-route-id="@Model.Parent.DashboardId.ToString()" asp-route-dashboardRowId="@item.DashboardRowID">
                                                        <i class="fa fa-arrow-down"></i>
                                                    </a>
                                                }
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.RowNumber)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.NumberKpis)
                                            </td>
                                        </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr>
                                                <td colspan="5" class="text-center">
                                                    No dashboards rows found
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>